Skip to main content

Update the Hypervisor details

Updates the Hypervisors

Path Parameters
  • hypervisorId int32 required

    Id of the Hypervisor to update

Request Body
    oneOf

  • accessNodes object[]
  • id int32
  • name string
  • displayName string

    Display name of the access node

  • type int32

    Type of access node , Ex: 3 - access Node , 28 - Access Node Groups

  • isScaleProfile boolean

    Default value: false

    True if the access node is a scale profile client

  • fbrUnixMediaAgent object
  • id int32
  • name string
  • activityControl object
  • enableBackup boolean

    true if Backup is enabled

  • enableRestore boolean

    true if Restore is enabled

  • backupActivityControlOptions object
  • activityType string

    Possible values: [BACKUP, RESTORE, ONLINECI, ARCHIVEPRUNE, AUXCOP, DRBACKUP, MEDIARECYCLE, SYNTHETICFULL, ALLACTIVITY, SCHEDULE, OFFLINECI, DDBACTIVITY, DATAVERIFICATION, SENDLOGFILEACTIVITY]

    denotes the activity type being considered

  • enableAfterADelay boolean

    True if the activity will be enabled after a delay time interval

  • enableActivityType boolean

    True if the activity type is enabled

  • delayTime object
  • timeZone object
  • id int32
  • name string
  • time int32

    delay time in unix timestamp

  • value string

    actual delay time value in string format according to the timezone

  • restoreActivityControlOptions object
  • activityType string

    Possible values: [BACKUP, RESTORE, ONLINECI, ARCHIVEPRUNE, AUXCOP, DRBACKUP, MEDIARECYCLE, SYNTHETICFULL, ALLACTIVITY, SCHEDULE, OFFLINECI, DDBACTIVITY, DATAVERIFICATION, SENDLOGFILEACTIVITY]

    denotes the activity type being considered

  • enableAfterADelay boolean

    True if the activity will be enabled after a delay time interval

  • enableActivityType boolean

    True if the activity type is enabled

  • delayTime object
  • timeZone object
  • id int32
  • name string
  • time int32

    delay time in unix timestamp

  • value string

    actual delay time value in string format according to the timezone

  • security object
  • clientOwners string

    Client owners for the Hypervisor

  • associatedUserGroups object[]
  • id int32
  • name string
  • newName string

    The name of the hypervisor that has to be changed

  • settings object
  • regionInfo object
  • id int32

    Region Id

  • name string

    Region Name

  • displayName string

    Display Name of Region

  • latitude string

    Geolocation Latitude

  • longitude string

    Geolocation Longitude

  • timeZone object
  • id int32
  • name string
  • metricsMonitoringPolicy object
  • id int32

    Metrics Moitoring PolicyId

  • name string

    Metrics Moitoring Policy Name

  • isEnabled boolean

    True if Metrics Monioring policy is enabled

  • customAttributes object[]

    Array of all the customAttributes associated with hypervisor.

  • type int32

    client custom attribute type . Ex- 3 - For client 8- For clientGroup

  • value string

    client/Client Group custom attribute value

  • guestCredentials object

    Guest credential for content VMs

  • name string

    username to access the network path

  • password string

    password to access the network path

  • applicationCredentials object
  • name string

    username to access the network path

  • password string

    password to access the network path

  • mountAccessNode object
  • id int32
  • name string
  • enableRegionBasedBackups boolean

    Default value: false

    Flag for enabling region based Backups

  • credentials object
  • id int32
  • name string
  • skipCredentialValidation boolean

    Default value: false

    if credential validation has to be skipped.

  • hypervisorType string required

    Possible values: [Azure_V2]

  • serverName string

    Hypervisor name to be updated

  • subscriptionId string

    subscription id of Azure

  • useManagedIdentity boolean

    Use managed identities for Azure authentication

  • isAuthorizedUsingMTA boolean

    Set this flag to false while changing Azure credentials. This will turn off the express config flow.

  • tenantId string

    Tenant id of Azure login Application

  • ApplicationId string

    Application id of Azure login Application

  • ApplicationPassword string

    Application Password of Azure login Application

  • useHostedInfrastructure boolean

    Use hosted infrastructure

Responses

Success


Schema
  • response object
  • hypervisorId int32
  • hypervisorName string

    Name of the hypervisor created

  • instanceId int32

    Instance Id of the hypervisor created

  • warningCode int32
  • errorCode int32
  • errorMessage string

    Response message

  • warningMessage string

    Response message

Loading...